Unable to host Tensorflow model on Heroku

I am trying to host a Django application that holds a tensorflow model on heroku. When pushing to the heroku application I receive this error: "Could not find a version that satisfies the requirement tensorflow-intel==2.11.0." From what I understand heroku runs pip install requirements.txt, so I am not sure why it would not be able to find that version.

Screenshot of output from trying to push to heroku

Any explanations or solutions would be appreciated. Also if there is a better way to host a tensorflow model, please let me know.

Back to Top